# DeviceSensorInfo

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

* [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md)
  * [DeviceSensorInfo](/hybrid/start/api/sensors/wisej.hybrid.devicesensorinfo.md)

Represents information about device sensors. This class provides properties to check if specific sensors are supported by a device.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceSensorInfo : DeviceInfoBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceSensorInfo
    Inherits DeviceInfoBase
```

{% endtab %}
{% endtabs %}

Access this class through the [Info](/hybrid/start/api/general/wisej.hybrid.device.md#info) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceSensorInfo()

Initializes a new instance of the [DeviceSensorInfo](/hybrid/start/api/sensors/wisej.hybrid.devicesensorinfo.md) class.

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsAccelerometerSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether the accelerometer is supported.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsBarometerSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether the barometer is supported.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsCompassSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether the compass is supported.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsGyroscopeSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether the gyroscope is supported.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsMagnetometerSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether the magnetometer is supported.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsOrientationSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether the device orientation is supported.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsShakeSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether shake detection is supported.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)OnWebUpdate(info)

Updates sensor information based on the data provided from a web source.

| Parameter | Type                                                          | Description                                           |
| --------- | ------------------------------------------------------------- | ----------------------------------------------------- |
| **info**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic object containing sensor support information. |

This method expects the 'info' parameter to have properties matching the sensor names, and their values should be strings that can be parsed to booleans.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/sensors/wisej.hybrid.devicesensorinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
